<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="core-service.management.security-realm.authorization.ldap.username-to-dn.advanced-filter.cache.by-access-time">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="cache-failures,eviction-time,max-cache-size"/>
        <elem name="addr-params" value="host,core-service,security-realm,authorization,username-to-dn,cache"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="core-service.management"/>
    </annotation>
    <refs>
        <ref feature="core-service.management.security-realm.authorization.ldap.username-to-dn.advanced-filter"/>
        <ref feature="core-service.management.security-realm.authorization.ldap"/>
        <ref feature="core-service.management.security-realm"/>
        <ref feature="core-service.management"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="authorization" feature-id="true" default="ldap"/>
        <param name="cache" feature-id="true" default="by-access-time"/>
        <param name="max-cache-size" nillable="true"/>
        <param name="cache-failures" nillable="true"/>
        <param name="eviction-time" nillable="true"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="security-realm" feature-id="true"/>
        <param name="username-to-dn" feature-id="true" default="advanced-filter"/>
        <param name="core-service" feature-id="true" default="management"/>
    </params>
</feature-spec>